ToolzerHub Docs

Get comment summary (v1)

A post's comment count, preview comments and comment settings in one call, without paging through comments.

1 credit / requestBilled only on success
GET
/v1/instagram/post/comment-summary

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

url?string

Post or reel URL (/p/, /reel/, /reels/ or /tv/). Send exactly one of url or code.

Lengthlength <= 500
code?string

Shortcode from the post URL, DZpQwxqimz2 in instagram.com/p/DZpQwxqimz2/. Send exactly one of url or code.

Lengthlength <= 50
media_id?string

Numeric media ID, from the pk field of /v1/instagram/media. Send exactly one of url, code or media_id.

Lengthlength <= 60
curl -X GET "https://example.com/v1/instagram/post/comment-summary" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "property1": null,    "property2": null  },  "details": {    "reason": "no_results",    "message": "string"  }}